GET /data/shots/{shot_id}/assets

Get assets linked to a shot. Returns the breakdown casting for the shot.

Path parameters

  • shot_id Required

Responses

  • 200 application/json

    All assets for given shot

    Hide response attributes Show response attributes object
    • id string(uuid)
    • name string
    • entity_type_id string(uuid)
GET /data/shots/{shot_id}/assets
curl -X GET "http://api.example.com/data/shots/a24a6ea4-ce75-4665-a070-57453082c25/assets" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/shots/a24a6ea4-ce75-4665-a070-57453082c25/assets"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/data/shots/a24a6ea4-ce75-4665-a070-57453082c25/assets' \
 --header "Authorization: $API_KEY"
Response examples (200)
[
  {
    "id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "name": "Character A",
    "entity_type_id": "b24a6ea4-ce75-4665-a070-57453082c25"
  }
]